Backwards compatibility for AddOns requiring SP2 is lost

Any issues, problems or troubleshooting topics related to the Prepar3D client application.
lonewulf47
Posts: 26
Joined: Sat Apr 14, 2012 6:56 am

Postby lonewulf47 » Wed Feb 12, 2014 5:17 pm

As I have already pointed out in another thread, it seems that backward compatibility for AddOns requiring FSX SP2 is broken. A typcial "victim" is A2A with AccuSim. It must be clearly said that with V2.0 everything was running smooth, but now it is impossible to use any of these fine models! It would be interesting to know why this happened and what can be done to restore comaptibility.



Oskar

FlySR
Posts: 85
Joined: Thu Feb 02, 2012 7:52 pm

Postby FlySR » Wed Feb 12, 2014 5:32 pm

+1

ananda
Posts: 488
Joined: Tue Nov 26, 2013 11:40 am
Location: Harton Village, UK

Postby ananda » Wed Feb 12, 2014 6:37 pm

FSUIPC has been updated today. This should fix your issue.



George


lonewulf47
Posts: 26
Joined: Sat Apr 14, 2012 6:56 am

Postby lonewulf47 » Wed Feb 12, 2014 7:34 pm



Quote:

Quote from ananda on February 12, 2014, 18:37

FSUIPC has been updated today. This should fix your issue.


Ok I'll check, however I have already downloaded 4.929 today...maybe a newer one again...





Oskar


lonewulf47
Posts: 26
Joined: Sat Apr 14, 2012 6:56 am

Postby lonewulf47 » Wed Feb 12, 2014 7:35 pm



Quote:

Quote from ananda on February 12, 2014, 18:37

FSUIPC has been updated today. This should fix your issue.


Ok I'll check, however I have already downloaded 4.929 today...maybe a newer one again...



Oskar



Edit: I just checked on Peter Dowsons forum that the newest version is indeed 4.929 and this does NOT solve the problem, definitely NOT.


davenicoll
Posts: 29
Joined: Wed Apr 18, 2012 4:03 pm

Postby davenicoll » Thu Feb 13, 2014 7:49 am



Quote:

Edit: I just checked on Peter Dowsons forum that the newest version is indeed 4.929 and this does NOT solve the problem, definitely NOT.




4.929 has been updated..it still carries the same version number but has been updated.Check his download links in the forums.



Dave

greggerm
Posts: 36
Joined: Wed Jan 11, 2012 5:57 pm

Postby greggerm » Thu Feb 13, 2014 8:22 am

A thread on AVSIM is reporting that A2A w/ Accusim installations can be accomplished into v2.1 successfully with a just-released version of the EMT. It's in the compatibility list thread, of which the contents are frequently purged as the information is moved up into the list itself. Here's the post text:



Quote:

Update - the Estonian Migration Tool has now been updated so that it recognizes the P3D 2.1 installation.



By using the new version, I was able to solve my problems with the two A2A products. I manually removed all components of both Accu-Feel and the Aircraft Factory Uhu, then reinstalled both using the EMT. Accu-Feel is now fully installed and appears on the Add-Ons dropdown menu. The Uhu now has working nav lights.



I know others have reported success installing A2A products using a copy of fsx.exe (or a copy of p3d.exe renamed to fsx.exe) in the P3D folder. But that's never worked for me. The A2A installers are complicated and seem to insist on creating additional FSX folders on my P3D drive, in spite of being pointed to the P3D folder. And as noted, both these product installs were incomplete. Using EMT seems to resolve all the issues, on my system at least.



Japo32
Posts: 27
Joined: Sat Nov 16, 2013 8:24 pm

Postby Japo32 » Thu Feb 13, 2014 8:57 am

Have same problem with A2A P51Civ. Updated FSUIPC and EMT but the same... some functions are missing and the landing gears are invisible... It was working that in P3dv2.0

Arwen
Posts: 30
Joined: Wed Jul 11, 2012 3:15 pm

Postby Arwen » Thu Feb 13, 2014 9:21 am

After installing the Full version of 2.1, I'm happy with all the things that this update/patch fixed, but A2A's Piper Cub prop animation no longer works (and I did a complete reinstall of everything, and others have reported this same issue).



The A2A C172 works perfectly (even with VC mipmaps now checked), except for the fact that its beacon light no longer works for me.



Edited: No matter what I tried last night, the C172's beacon light would not work ... but when I fired up P3D2 tonight, the beacon was working again!!?? I have no idea what happened, as I hadn't made a single change in any of the settings. Perhaps the bulb had burn out and my mechanic fixed earlier today. :) Unfortunately the Cub's prop still does not spin.

Tauro
Posts: 5
Joined: Wed Feb 05, 2014 12:45 pm

Postby Tauro » Fri Feb 14, 2014 12:53 am

Carenados PA34 seneca II hast lost instrument lighting too.

User avatar
Snave
Posts: 1004
Joined: Mon Nov 25, 2013 6:01 pm

Postby Snave » Fri Feb 14, 2014 4:17 am

This is excellent news!



Folks wanted the sim to evolve. Now it proves it has.



Now we wait to see which addon developers were only paying lip service to P3D compatibility. It's more than just creating an installer. Now we need compliance as the platform evolves.



I wonder who will be first with a genuine 2.1 addon?







No door is closed to an open mind.
Cats open doors...


Return to “Prepar3D Client Application Questions”

Who is online

Users browsing this forum: Alox, ferhardt, Majestic-12 [Bot], tdavart and 75 guests